<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox demo</title>
    <style>
        html, body {
            width: 100%;
            height: 100%;
            background: lightblue;
            margin: 0;
            padding: 0;
        } 
        #container {
            border: 1px solid black;
            width: 80%;
            height: 80%;
            display: flex;
            flex-wrap: wrap;
            flex-direction: row
        }
        #container div {
            border: 1px dotted darkblue;
        }
        #div1 {
            width: 100%;
            order: 5;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        #div2 {
            flex: 2;
            order: 2;
        }
        #div3 {
            flex: 1;
            order: 3;
        }
        #div4 {
            flex: 3;
            order: 4;
        }
        #div5 {
            flex: 1;
            order: 1;
        }
    </style>
</head>
<body>
    <div id="container">
        <div id="div1">1</div>
        <div id="div2">2</div>
        <div id="div3">3</div>
        <div id="div4">4</div>
        <div id="div5">5</div>
    </div>
</body>
</html>